Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 655307 - FutureFeature SRR bridge instead of or in addition to UNIX sockets for improved perfomance
Summary: FutureFeature SRR bridge instead of or in addition to UNIX sockets for improv...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-20 11:58 UTC by Tihomir
Modified: 2018-04-11 16:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-22 14:07:58 UTC
Type: ---


Attachments (Terms of Use)

Description Tihomir 2010-11-20 11:58:24 UTC
as i understand, SRR enables high performance IPC, which is a requisite for good graphics performance under x11 - is it realistic to use it in place of unix sockets where available?

Comment 1 Matěj Cepl 2010-11-22 14:07:58 UTC
This is certainly not a thing which we should resolve in our packaging process. We try to concentrate in this bugzilla mainly on problems with packaging, not huge structural changes in the programs.

Please, file a bug in the upstream database at https://bugs.freedesktop.org/enter_bug.cgi?product=xorg or discuss this issue on the upstream development list at xorg-devel@lists.x.org.

Thank you

Comment 2 Adam Jackson 2010-11-22 14:25:38 UTC
But, with an upstream hat on, while fast synchronous IPC is certainly an interesting area of research, X is an async protocol, so it's pretty unlikely that we'd use SRR.


Note You need to log in before you can comment on or make changes to this bug.